local addonName, addon = ...
local L = addon.L
--[[-----------------------------------------------------------------------------
Extra Key Binding Data
-------------------------------------------------------------------------------]]
BINDING_HEADER_GRIMUI = "----- GrimUI -----"
BINDING_HEADER_RAID_MOUSEOVER = L["Raid Targeting Mouseover"]
BINDING_HEADER_WORLD_TARGET = L["World Target / Flares"]
BINDING_HEADER_AUDIO_BINDING = L["Sound"]
BINDING_NAME_AUDIO_BINDING_TEMPMUTE = L["Temporary Mute"]
BINDING_NAME_AUDIO_BINDING_TOGGLEMUTE = L["Toggle Mute"]


_G["BINDING_NAME_CLICK GUI_BlueFlare:LeftButton"] = L["Blue Flare"]
_G["BINDING_NAME_CLICK GUI_GreenFlare:LeftButton"] = L["Green Flare"]
_G["BINDING_NAME_CLICK GUI_PurpleFlare:LeftButton"] = L["Purple Flare"]
_G["BINDING_NAME_CLICK GUI_RedFlare:LeftButton"] = L["Red Flare"]
_G["BINDING_NAME_CLICK GUI_YellowFlare:LeftButton"] = L["Yellow Flare"]
BINDING_NAME_CLEAR_WORLD_TARGETS = L["Clear all World Targets"]


local function CreateEasyMarkerButton(btnName, point, relativeTo, pointRel)
	local frame = CreateFrame("Button", btnName, UIParent, "SecureActionButtonTemplate");
	frame:SetPoint(point, relativeTo, pointRel, 0, -3);
	frame:SetAttribute("type", "macro");
end

CreateEasyMarkerButton("GUI_BlueFlare", "TOPLEFT", UIParent, "TOPLEFT");
GUI_BlueFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button1
]]);

CreateEasyMarkerButton("GUI_GreenFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
GUI_GreenFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button2
]]);

CreateEasyMarkerButton("GUI_PurpleFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
GUI_PurpleFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button3
]]);

CreateEasyMarkerButton("GUI_RedFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
GUI_RedFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button4
]]);

CreateEasyMarkerButton("GUI_YellowFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
GUI_YellowFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button5
]]);

